/* GCC */

#include <fstream>
#include <vector>
#include <algorithm>
#include <string>
#include <iostream>
#include <cstring>
#include <utility>
using namespace std;

#define NAME "triangle"

int find_min(vector<int>& v)
{
    int ser = 0;
    bool found = false;
    while (ser < v.size() - 2 && !found)
    {
        if (v[ser + 2] < v[ser + 1] + v[ser])
            found = true;
        else
            ser++;
    }

    return ((found)?(v[ser] + v[ser+1] + v[ser+2]):-1);
}

int find_max(vector<int>& v)
{
    int ser = v.size() - 1;
    bool found = false;
    while (ser >= 2 && !found)
    {
        if (v[ser] < v[ser - 1] + v[ser - 2])
            found = true;
        else
            ser--;
    }

    return ((found)?(v[ser] + v[ser-1] + v[ser-2]):-1);
}

int main()
{
    ifstream fin(NAME ".in");
    ofstream fout(NAME ".out");
    int n;
    fin >> n;
    vector<int> v;
    for (int i = 0; i < n; ++i)
    {
        int t;
        fin >> t;
        v.push_back(t);
    }
    string task;
    fin >> task;
    int ans;
    sort(v.begin(), v.end());
    if (task == "min")
        ans = find_min(v);
    else if (task == "max")
        ans = find_max(v);
    if (ans == -1)
        fout << "none" << endl;
    else
        fout << ans << endl;
    fin.close();
    fout.close();
    return 0;
}
