/* GCC */
#include <iostream>
#include <cstdio>

using namespace std;

int mas[1000002];

void qsort(int left, int right)
{
    int l=left, r=right, e=mas[(l+r)/2], t;
    while (l<=r)
    {
        while (mas[l]<e) l++;
        while (mas[r]>e) r--;
        if (l<=r)
        {
            t=mas[l];
            mas[l]=mas[r];
            mas[r]=t;
            l++;
            r--;
        }
    }
    if (l<right) qsort(l, right);
    if (left<r) qsort(left, r);
}

int main()
{
    freopen("triangle.in", "r", stdin);
    freopen("triangle.out", "w", stdout);
    int n, i;
    cin >> n;
    for (i=1; i<=n; i++)
        cin >> mas[i];
    qsort(1, n);
    mas[0]=0;
    mas[n+1]=0;
    char c;
    cin >> c >> c;
    bool b=true;
    if (c=='a')
    {
        i=n;
        while ((b) && (mas[i]>=mas[i-1]+mas[i-2]))
        {
            i--;
            b=(i>2);
        }
        if (b)
            cout << mas[i]+mas[i-1]+mas[i-2] << '\n';
        else cout << "none" << '\n';
    }
    else
    {
        i=3;
        while ((b) && (mas[i]>=mas[i-1]+mas[i-2]))
        {
            i++;
            b=(i<=n);
        }
        if (b)
            cout << mas[i]+mas[i-1]+mas[i-2] << '\n';
        else cout << "none" << '\n';
    }
    return 0;
}
