/* GCC */
#include <iostream>
#include <cstdlib>
#include <cstdio>
#include <algorithm>
#include <vector>
#include <map>

using namespace std;

int gcd(int a, int b) {
    if (b == 0) {
        return a;
    }

    return gcd(b, a % b);
}

inline bool test(int a, int b, int c) {
    return (a*b)%c == 0 && (a*c)%b == 0 && (b*c)%a == 0;
}

int N = 0;

int main() {
    freopen("numbers.in", "r", stdin);
    freopen("numbers.out", "w", stdout);

    int a, b;
    cin >> a >> b;

    unsigned long long Q = a*b;
    if (Q >= 10000000) {
        cout << 0 << endl;
        return 0;
    }

    for (int i = 1; i <= Q; i++) {
        if (i != a && i != b && test(a, b, i)) {
            N++;
        }
    }

    cout << N << endl;
    return 0;
}
