/* GCC */
#define maxn 1000000
#include <iostream>
#include <cstdlib>
#include <cstdio>
#include <algorithm>
#include <vector>
#include <map>

using namespace std;

int n;
int T[maxn+1];

bool cmax(const int &a, const int &b) { return a > b; }
bool cmin(const int &a, const int &b) { return a < b; }

int main() {
    freopen("triangle.in", "r", stdin);
    freopen("triangle.out", "w", stdout);

    cin >> n;
    for (int i = 0; i < n; i++) {
        scanf("%d", &T[i]);
    }

    string op;
    cin >> op;
    if (op == "max") {
        sort(T, T+n, cmax);
    } else {
        sort(T, T+n, cmin);
    }

    for (int i = 0; i < n-2; i++) {
        int p = T[i], q = T[i+1], r = T[i+2];
        if (r < abs(p-q)+1) {
            continue;
        }

        cout << p+q+r << endl;
        return 0;
    }

    cout << "none" << endl;

    return 0;
}













