/* GCC */
#define db 0
#include <iostream>
#include <cstdlib>
#include <cstdio>
#include <algorithm>
#include <cstring>
#include <string>
#include <vector>
#include <set>
#include <map>
using namespace std;

#define fs first
#define sc second
#define mkp make_pair
#define pb push_back

typedef long long ll;
const int nmax = 1000 + 7;
const int inf = 1000000000 + 7;

int n;
int a,t=0,b;
string s;
int ms[nmax][nmax],len[nmax];
vector < pair < int, int > > now;
bool used[nmax][nmax];


void rec (int v,int p){
    int i;
    for (i=len[v]; i>=1; --i)
        if (ms[v][i]==p)
            break;

    for (int j=i-1; j>=1; --j)
    if (!used[v][ms[v][j]]){
        used[v][ms[v][j]]=used[ms[v][j]][v]=true;
        now.pb(mkp(min(v,ms[v][j]),max(v,ms[v][j])));
        rec(ms[v][j],v);
    }
}

int main()
{
    ios_base::sync_with_stdio(0);

    freopen("graph.in","r",stdin);
    freopen("graph.out","w",stdout);

    cin >> n;

    getline(cin,s);

    for (int i=1; i<=n; ++i){
        t=1;
        getline(cin,s);
        for (int j=0,sz=s.length(); j<sz; ++j){
            if (s[j]>='0' && s[j]<='9'){
                a=s[j]-'0';
                ++j;
                while (s[j]>='0' && s[j]<='9' && j<sz){
                    a=a*10+s[j]-'0';
                    ++j;
                }
                ms[i][t]=a;
                ++t;
            }
        }
        len[i]=t-1;
    }
    a=0,b=0;
    if (db){
        for (int i=1; i<=n; ++i){
            for (int j=1; j<=len[i]; ++j)
                cout << ms[i][j] << ' ';
            cout << '\n';
        }
        cout << "\n\n\n";
    }

    now.clear();

    for (int i=1; i<=n; ++i){
        for (int j=1; j<=len[i]; ++j)
        if (!used[i][ms[i][j]]){
            used[i][ms[i][j]]=used[ms[i][j]][i]=true;
            now.pb(mkp(min(i,ms[i][j]),max(i,ms[i][j])));
            rec(ms[i][j],i);
            reverse(now.begin(),now.end());
            for (int k=0,sz=now.size(); k<sz; ++k)
                cout << now[k].fs << ' ' << now[k].sc << '\n';
            now.clear();
        }
    }



    return 0;
}
