/* GCC */
#include <iostream>
#include <fstream>

using namespace std;

int gcd(int a, int b)
{
    int gcd = 1;
    for(int i = 2; i < a*b; i++)
    {
        if(a % i == 0 && b % i == 0)
        {
            gcd *= i;
            a /= i;
            b /= i;
        }
    }
    return gcd;
}

int main()
{
    ifstream in("numbers.in");
    ofstream out("numbers.out");

    int a = 0;
    int b = 0;

    in >> a;
    in >> b;

    in.close();

    int gcdAB = gcd(a,b);

    if(a == 1 || b == 1)
    {
        out << 0 << endl;
        out.close();
        return 0;
    }
    if(gcdAB == 1)
    {
        out << 1 << endl;
        out.close();
        return 0;
    }

    int answer = 0;
    int prod = a*b / gcdAB;
    for(int i = 2; i < prod; i++)
    {
        if(prod % i == 0)
        {
            answer++;
        }
    }

    out << answer << endl;
    out.close();

    return 0;
}
