/* GCC */
#include <fstream>
#include <iostream>
#include <algorithm>
#include <vector>

using namespace std;

bool sorter(int a, int b)
{
    return a < b;
}

int main()
{
    fstream fs;
    fs.open("triangle.in", fstream::in);
    int n, res = -1;
    fs >> n;
    vector<int> sides;
    for(int i = 0; i < n; i++)
    {
        int a;
        fs >> a;
        sides.push_back(a);
    }
    string command;
    fs >> command;
    fs.close();
    sort(sides.begin(), sides.end(), sorter);

    if(command[1] == 'a')
    {
        for(int i = n-1; i > 1; i--)
        {
            if(sides[i] < sides[i-1] + sides[i-2])
            {
                res = sides[i] + sides[i-1] + sides[i-2];
                break;
            }
        }
    }
    else
    {
        for(int i = 0; i < n; i++)
        {
            if(sides[i+2] < sides[i+1] + sides[i])
            {
                res = sides[i+2] + sides[i+1] + sides[i];
                break;
            }
        }
    }

    fs.open("triangle.out", fstream::out);
    if(res == -1)
        fs << "none";
    else
        fs << res;
    fs.close();
    return 0;
}
