/* GCC */

#include <fstream>
#include <vector>
#include <list>
#include <algorithm>
#include <string>
#include <sstream>
#include <cstring>
#include <utility>
using namespace std;

#define NAME "graph"

int main()
{
    ifstream fin(NAME ".in");
    ofstream fout(NAME ".out");
    int n;
    fin >> n;
    fin.get();
    vector<list<int> > g(n);
    istringstream str;
    string s;
    for (int i = 0; i<n; ++i)
    {
        getline(fin, s);
        str.str(s);
        str.clear();
        int t;
        while(str >> t)
            g[i].push_back(t-1);
    }
    /*
        for (int i = 0;i<n;++i)
        {
            while (!g[i].empty())
            {
                int n = g[i].front();
                g[i].pop_front();
                fout << n << ' ';
            }
            fout << endl;
        }*/

    list<pair<int, int> > ans;
    for (int j = 0; j < 3; ++j)
    {


        for (int i = 0; i < g.size(); ++i)
        {
            while (!g[i].empty())
            {
                int t = g[i].back();
                if (i == g[t].back())
                {
                    g[i].pop_back();
                    g[t].pop_back();
                    ans.push_front(make_pair(min(t, i), max(t, i)));
                }
                else
                    break;

            }
        }
    }
    while (!ans.empty())
    {
        pair<int, int> p = ans.front();
        ans.pop_front();
        fout << p.first +1<< ' ' << p.second+1 << endl;
    }
    fin.close();
    fout.close();
    return 0;
}
