/* GCC */

#include <fstream>
#include <vector>
#include <algorithm>
#include <string>
#include <iostream>
#include <cstring>
#include <utility>

using namespace std;

#define NAME "numbers"

int euclid(int a, int b)
{
    if (a == 0)
        return b;
    else
        return euclid(b % a, a);
}

int main()
{
    ifstream fin(NAME ".in");
    ofstream fout(NAME ".out");
    int a, b;
    fin >> a >> b;
    int nsd = euclid(a, b);
    if (nsd == 1 && (a == 1 || b == 1))
        fout << 0 << endl;
    else if (nsd == 1)
        fout << 1 << endl;
    else
    {
        int k = 0;
        int top = a * b;
        int low = top / nsd / nsd;
        int t = low;
        while (t <= top)
        {
            if ( top % t == 0 && t != a && t != b)
                ++k;
            t += low;
        }
        fout << k << endl;
    }


//    int n = c;
//    int i = 2;
//    while (n > 1)
//        if (n % i == 0)
//        {
//            fout << i << endl;
//            n /= i;
//        }
//        else
//            ++i;

    fin.close();
    fout.close();
    return 0;
}
