/* GCC */
#include <cstdio>
#include <vector>
#include <algorithm>
#include <cstring>

using namespace std;

bool checkTriangle(int a, int b, int c)
{
    return a < b + c && b < a + c && c < a + b;
}

int main()
{
    freopen("triangle.in", "r", stdin);
    freopen("triangle.out", "w", stdout);
    int n;
    char str[4];
    scanf("%d", &n);
    vector<int> nums(n);
    for (int i = 0; i < n; i++) {
        scanf("%d", &nums[i]);
    }

    scanf("%s", &str);
    if (!strcmp(str, "max")) {
        sort(nums.rbegin(), nums.rend());
    } else if (!strcmp(str, "min")) {
        sort(nums.begin(), nums.end());
    }

    bool ok = false;
    for (int i = 0; i + 3 <= n; i++) {
        int a = nums[i];
        int b = nums[i+1];
        int c = nums[i+2];
        if (checkTriangle(a, b, c)) {
            printf("%d\n", a+b+c);
            ok = true;
            break;
        }
    }

    if (!ok) {
        printf("none\n");
    }
}
