/* GCC */
#include <iostream>
#include <cstdio>
#include <cstdlib>
#include <ctime>
#include <cmath>
#include <cstring>
#include <string>
#include <vector>
#include <map>
#include <algorithm>
#include <queue>
#include <sstream>

#define X first
#define Y second
#define mp(a, b) make_pair((a), (b))

using namespace std;

int n, i, j, a, cur, to, ma;
vector < vector <int> > v, mv;
vector <int> k;
vector < pair <int, int> > p;
char c;
map < pair <int, int>, int> m, l;

int prov(pair <int, int> a)
{
    if(a.X > a.Y)
        swap(a.X, a.Y);

    if(l[a] == 0)
    {
        l[a] = k.size() + 1;
        p[k.size()] = a;
        k.push_back(0);
    }

    return (l[a] - 1);
}

void dfs(int a)
{
    int i;
    k[a] = -1;
    printf("%d %d\n", p[a].X + 1, p[a].Y + 1);

    for(i = 0; i < mv[a].size(); i++)
    {
        k[mv[a][i]]--;

        if(k[mv[a][i]] == 0)
            dfs(mv[a][i]);
    }
}

int main()
{
    freopen("graph.in", "r", stdin);
    freopen("graph.out", "w", stdout);

    scanf("%d", &n);
    v.resize(n);
    i = 0;
    ma = 0;
    while(i < n)
    {
        //cerr << "Good" << endl;
        scanf("%d", &a);
        a--;
        ma++;
        v[i].push_back(a);
        scanf("%c", &c);
        if(c != ' ')
            i++;
    }

    //cerr << ma << endl;

    ma = ma / 2;
    mv.resize(ma);
    p.resize(ma);

    for(i = 0; i < n; i++)
        for(j = 0; j < v[i].size(); j++)
        {
            //cout << i << " " << v[i][j] << endl;
            m[mp(i, v[i][j])] = j;
        }

    for(i = 0; i < n; i++)
        for(j = 0; j < v[i].size(); j++)
        {
            cur = prov(mp(i, v[i][j]));

            if(j + 1 < v[i].size())
            {
                to = prov(mp(i, v[i][j + 1]));

                mv[cur].push_back(to);
                k[to]++;
            }

            ma = m[mp(v[i][j], i)];//j
            a = v[i][j];//i

            if(ma + 1 < v[a].size())
            {
                to = prov(mp(a, v[a][ma + 1]));

                mv[cur].push_back(to);
                k[to]++;
            }
        }

    for(i = 0; i < k.size(); i++)
        if(k[i] == 0)
            dfs(i);

    return 0;
}



