/* GCC */

#include <iostream>
#include <fstream>
#include <algorithm>
#include <cmath>
#include <vector>
#include <string>

using namespace std;

typedef long long ll;

bool comp_max(ll a, ll b)
{
    return a>b;
}

bool comp_min(ll a, ll b)
{
    return b>a;
}

ll per(ll a, ll b, ll c)
{

    ll p = a + b + c;
    if (a+b>c && a+c>b && b+c>a) return p;
    else return 0;

}

void maxi(vector<ll> &mas, ll n)
{

    ofstream fout;
    fout.open("triangle.out");

    sort (mas.begin(), mas.end(), comp_max);
    ll i=0;
    while (per(mas[i], mas[i+1], mas[i+2])==0 && i+2<n-1)
    {
        i++;
    }
    ll p = per(mas[i], mas[i+1], mas[i+2]);
    if (p==0) fout << "none\n";
    else fout << p << "\n";

    fout.close();

}

void mini(vector<ll> &mas, ll n)
{

    ofstream fout;
    fout.open("triangle.out");

    sort (mas.begin(), mas.end(), comp_min);
    ll i=0;
    while (per(mas[i], mas[i+1], mas[i+2])==0 && i+2<n-1)
    {
        i++;
    }
    ll p = per(mas[i], mas[i+1], mas[i+2]);
    if (p==0) fout << "none\n";
    else fout << p << "\n";

    fout.close();

}

int main()
{

    ifstream fin;
    fin.open("triangle.in");

    ll n;
    fin >> n;
    vector<ll> mas(n+1);
    for (ll i=0; i<n; i++)
    {
        fin >> mas[i];
    }
    string command;
    fin >> command;

    fin.close();

    if (command == "max") maxi(mas, n);
    else mini(mas, n);

    return 0;
}
